Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Class SupplementaryData1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_07.SupplementaryData1

    public class SupplementaryData1
    extends java.lang.Object

Java class for SupplementaryData1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SupplementaryData1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PlcAndNm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max350Text" minOccurs="0"/>
             <element name="Envlp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}SupplementaryDataEnvelope1"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected SupplementaryDataEnvelope1` `envlp`
`protected java.lang.String` `plcAndNm`

### Constructor Summary

Constructors
`SupplementaryData1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SupplementaryDataEnvelope1` `getEnvlp()` Gets the value of the envlp property.
`java.lang.String` `getPlcAndNm()` Gets the value of the plcAndNm property.
`void` `setEnvlp​(SupplementaryDataEnvelope1 value)` Sets the value of the envlp property.
`void` `setPlcAndNm​(java.lang.String value)` Sets the value of the plcAndNm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### plcAndNm

    protected java.lang.String plcAndNm

#### envlp

    protected SupplementaryDataEnvelope1 envlp

### Constructor Detail

#### SupplementaryData1

    public SupplementaryData1()

### Method Detail

#### getPlcAndNm

    public java.lang.String getPlcAndNm()

Gets the value of the plcAndNm property.

Returns:
  possible object is `String`

#### setPlcAndNm

    public void setPlcAndNm​(java.lang.String value)

Sets the value of the plcAndNm property.

Parameters:
  `value` - allowed object is `String`

#### getEnvlp

    public SupplementaryDataEnvelope1 getEnvlp()

Gets the value of the envlp property.

Returns:
  possible object is `SupplementaryDataEnvelope1`

#### setEnvlp

    public void setEnvlp​(SupplementaryDataEnvelope1 value)

Sets the value of the envlp property.

Parameters:
  `value` - allowed object is `SupplementaryDataEnvelope1`